
function activetags_activate(context) {
  if ($(context).length == 1) { 
    var tagarea = activetags_widget(context);
    $(context).before(tagarea); 
  }
  $('.add-tag:not(.tag-processed)').click(function() { 
    activetags_add(context, $(this).prev().val());
    activetags_update(context);  
    $(this).prev().val('');
  }).addClass('tag-processed');
  
  if ($.browser.mozilla) {
    $('.tag-entry:not(.tag-processed)').keypress(activetags_check_enter).addClass('tag-processed');
  } else {
    $('.tag-entry:not(.tag-processed)').keydown(activetags_check_enter).addClass('tag-processed');
  }
  
  jQuery.each($(context).val().split(','), function (i, v) { 
    if (jQuery.trim(v) != '') {
      activetags_add(context, v);
    }
  }); 
  
  $(context).hide().next().hide(); 
}

function activetags_check_enter(event) {
  if (event.keyCode == 13) {
    $('#autocomplete').each(function () {
      this.owner.hidePopup();
    })
    $(this).next().click();
    event.preventDefault();
    return false;
  }  
}

function activetags_add(context, v) {
  if (jQuery.trim(v) != '') {
    $(context).prev().children('.tag-holder').append('<div class="tag-tag"><span class="tag-text">'+ 
      jQuery.trim(v)+'</span><span class="remove-tag">x</span></div>'); 
    $('.remove-tag:not(.tag-processed)').click(function() { 
      $(this).parent().remove();
      activetags_update(context);   
    }).addClass('tag-processed'); 
  }
}

function activetags_update(context) {
  $(context).val('');
  $(context).prev().children('.tag-holder').children().children('.tag-text').each(function(i) {
    if(i==0) {
      $(context).val($(this).text());
    } else { 
      $(context).val(
        $(context).val() + ', ' + $(this).text()
      );
    }
  });
}

function activetags_widget(context) {
  var vid = context.substr(20,1);
  return '<div id="'+context+'-activetags" class="form-item">'+
    '<div class="tag-holder"></div>'+ 
    '<input type="text" class="tag-entry" size="30" id="active-tag-edit0'+vid+'" />'+ 
    '<input type="button" value="add" class="add-tag">'+
  '</div>';
}

if (Drupal.jsEnabled) {
  $(document).ready(function(){
    jQuery.each(Drupal.settings['active_tags'],function(i, v) {
      if ($(v).length == 1) {
        activetags_activate(v); 
      } 
    });
  }); 
}



